version: '3'

services:
  os:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: docker_all
    restart: always
    ports:
      - "2226:22"  # SSH
      - "3690:3690" # SVN
      - "8086:80" # APACHE
      - "8083:8080"  # tomcat
      - "33060:3306" #mariadb
      - "9908:9908" #securedb agent
    network_mode: bridge
    volumes:
      - dbdata:/var/lib/mysql
      - dbconfig:/etc/mysql
      - wasconfig:/usr/local/tomcat/conf
      - data:/data #java팀 전용
      - wardata:/usr/local/tomcat/webapps #default tomcat 경로 사용시
      - svndata:/svn/repos/geumdo_repo #svn추가
      - securedb:/securedb
volumes:
    dbdata:
      external: true
    dbconfig:
      external: true 
    wasconfig:
      external: true
    data:
      external: true
    wardata:
      external: true
    svndata:
      external: true
    securedb:
      external: true
